/**
 * @file
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/tags/artist.h>


static Database<Artist> artist_db("artist.db", true);


Artist :: Artist() : GenericTag() {}

Artist :: Artist(const std::string &name)
	: GenericTag(name)
{
}


void tags :: init_artist_db()
{
	artist_db.load();
}

Artist *tags :: get_artist(const std::string &name)
{
	Artist *ret = artist_db.find(name);
	if (ret)
		return ret;
	return artist_db.insert(Artist(name));
}

Artist *tags :: get_artist(const unsigned int index)
{
	return artist_db.at(index);
}
