/**
 * @file
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/tags/genre.h>


static Database<Genre> genre_db("genre.db", true);


Genre :: Genre() : GenericTag() {}

Genre :: Genre(const std::string &name)
       : GenericTag(name)
{
}


void tags :: init_genre_db()
{
	genre_db.load();
}

Genre *tags :: get_genre(const std::string &name)
{
	Genre *ret = genre_db.find(name);
	if (ret)
		return ret;
	return genre_db.insert(Genre(name));
}

Genre *tags :: get_genre(const unsigned int index)
{
	return genre_db.at(index);
}
