/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/core.h>
#include <core/playlist.h>
#include <lib/lib.h>
#include <gui/ocarina.h>
#include <gui/tabs.h>

void connect_button(const std::string &name, void (*func)())
{
	lib :: get_widget<Gtk::Button>(name)->signal_clicked().connect(sigc::ptr_fun(func));
}

Gtk::Window *ocarina_init(int *argc, char ***argv)
{
	Gtk::Window *window;

	lib :: init(argc, argv, "ocarina6.glade");

	init_gst(argc, argv);
	init_playlist_tab();

	core :: init();

	collection_mgr_init();
	init_tabs();
	window = window_init();
	post_init_tabs();
	return window;
}

#ifndef CONFIG_TEST
int main(int argc, char **argv)
{
	Glib::RefPtr<Gtk::Application> ocarina = Gtk::Application::create(argc, argv, "ocarina");

	Gtk::Window *window = ocarina_init(&argc, &argv);
	ocarina->run(*window);
	cleanup_tabs();
	quit_gst();
	return 0;
}
#endif /* CONFIG_TEST */
